package org.processmining.dataawarecnetminer.extension.bindings;

import org.processmining.dataawarecnetminer.extension.DefaultHeuristicPlugin;
import org.processmining.dataawarecnetminer.extension.HeuristicPlugin;
import org.processmining.dataawarecnetminer.model.EventRelationStorage;
import org.processmining.framework.plugin.annotations.KeepInProMCache;

@KeepInProMCache
@HeuristicPlugin
@DefaultHeuristicPlugin
public final class BindingsHeuristicExtensionNearestActivityImpl extends DefaultBindingsHeuristicExtension {

	@Override
	public BindingsHeuristic newInstance(EventRelationStorage eventStorage) {
		return new BindingsNearestActivityImpl(eventStorage);
	}

	@Override
	public String getName() {
		return "Nearest Activity (FHM)";
	}

	public String getReference() {
		return "AJMM Weijters, JTS Ribeiro. Flexible Heuristic Miner. DOI: 10.1109/CIDM.2011.5949453";
	}

}