package org.processmining.dataawarecnetminer.extension.conditionaldependencies;

import org.processmining.dataawarecnetminer.common.MinerContext;
import org.processmining.dataawarecnetminer.exception.MiningException;
import org.processmining.dataawarecnetminer.interactive.methods.MethodConfiguration;
import org.processmining.dataawarecnetminer.model.DataAwareCausalGraph;
import org.processmining.models.causalgraph.SimpleCausalGraph;

public interface ConditionalDependencyHeuristic {

	/**
	 * Computes the dependency values between activities
	 * 
	 * @param context
	 * @param configuration
	 * @param causalGraph
	 * @return
	 * @throws MiningException
	 */
	DataAwareCausalGraph computeDependencies(MinerContext context, MethodConfiguration configuration,
			SimpleCausalGraph causalGraph) throws MiningException;

}