package org.processmining.dataawarecnetminer.extension.conditionaldependencies;

import java.util.HashSet;
import java.util.Set;

import org.processmining.datadiscovery.DecisionTreeConfig;

public class ConditionalDependencyHeuristicConfig {

	public enum QualityMeasure {
		KAPPA, FSCORE
	}

	private double guardThreshold = 0.5d;
	private double dependencyThreshold = 0.9d;
	private double observationThreshold = 0.2d;

	private boolean allTasksConnected = false;
	private boolean acceptedTasksConnected = true;
	private double relativeToBestThreshold = 0.00; // By default just take those that are exactly as good

	private DecisionTreeConfig discoveryConfig = new DecisionTreeConfig();
	private Set<String> dataDiscoveryAttributes = new HashSet<>();
	private QualityMeasure qualityMeasure;
	private int numCrossValidations = 10;

	public DecisionTreeConfig getDataDiscoveryConfig() {
		return discoveryConfig;
	}

	public void setDataDiscoveryConfig(DecisionTreeConfig dataDiscoveryConfig) {
		this.discoveryConfig = dataDiscoveryConfig;
	}

	public double getGuardThreshold() {
		return guardThreshold;
	}

	public void setGuardThreshold(double guardThreshold) {
		this.guardThreshold = guardThreshold;
	}

	public double getDependencyThreshold() {
		return dependencyThreshold;
	}

	public void setDependencyThreshold(double dependencyThreshold) {
		this.dependencyThreshold = dependencyThreshold;
	}

	public double getObservationThreshold() {
		return observationThreshold;
	}

	public void setObservationThreshold(double observationThreshold) {
		this.observationThreshold = observationThreshold;
	}

	public void setAcceptedTasksConnected(boolean acceptedTasksConnected) {
		this.acceptedTasksConnected = acceptedTasksConnected;
	}

	public boolean isAcceptedTasksConnected() {
		return acceptedTasksConnected;
	}

	public double getRelativeToBestThreshold() {
		return relativeToBestThreshold;
	}

	public void setRelativeToBestThreshold(double relativeToBestThreshold) {
		this.relativeToBestThreshold = relativeToBestThreshold;
	}

	public boolean isAllTasksConnected() {
		return allTasksConnected;
	}

	public void setAllTasksConnected(boolean allTasksConnected) {
		this.allTasksConnected = allTasksConnected;
	}

	public Set<String> getDataDiscoveryAttributes() {
		return dataDiscoveryAttributes;
	}

	public void setDataDiscoveryAttributes(Set<String> dataDiscoveryAttributes) {
		this.dataDiscoveryAttributes = dataDiscoveryAttributes;
	}

	public void setQualityMeasure(QualityMeasure qualityMeasure) {
		this.qualityMeasure = qualityMeasure;
	}

	public QualityMeasure getQualityMeasure() {
		return qualityMeasure;
	}

	public int getNumCrossValidations() {
		return numCrossValidations;
	}

	public void setNumCrossValidations(int numCrossValidations) {
		this.numCrossValidations = numCrossValidations;
	}

}