package org.processmining.dataawarecnetminer.extension.conditionaldependencies;

import org.processmining.dataawarecnetminer.extension.DefaultHeuristicPlugin;
import org.processmining.dataawarecnetminer.extension.HeuristicPlugin;
import org.processmining.dataawarecnetminer.extension.conditionaldependencies.ConditionalDependencyHeuristicConfig.QualityMeasure;
import org.processmining.dataawarecnetminer.model.DataRelationStorage;
import org.processmining.dataawarecnetminer.model.EventRelationStorage;
import org.processmining.framework.plugin.annotations.KeepInProMCache;

@KeepInProMCache
@HeuristicPlugin
@DefaultHeuristicPlugin
public class ConditionalDependencyHeuristicExtensionC45KappaImpl extends DefaultConditionalDependencyHeuristicFactory {

	public ConditionalDependencyHeuristic newInstance(EventRelationStorage eventStorage, DataRelationStorage dataStorage) {
		return new QualityAwareConditionalDependencyHeuristicImpl(eventStorage, dataStorage, QualityMeasure.KAPPA);
	}

	public String getName() {
		return "C4.5 (Cohen's Kappa)";
	}

	public String getReference() {
		return "F Mannhardt et al. Data-driven Process Discovery - Revealing Conditional Infrequent Behavior from Event Logs. CAiSE 2017";
	}

}