package org.processmining.dataawarecnetminer.extension.conformance;

import org.processmining.dataawarecnetminer.extension.HeuristicPlugin;
import org.processmining.dataawarecnetminer.model.EventRelationStorage;
import org.processmining.framework.plugin.annotations.KeepInProMCache;

@KeepInProMCache
@HeuristicPlugin
public final class ConformanceExtensionAlignmentImpl extends DefaultConformanceHeuristicExtension {

	@Override
	public ConformanceHeuristic newInstance(EventRelationStorage eventStorage) {
		return new ConformanceAlignmentImpl(eventStorage);
	}

	@Override
	public String getName() {
		return "Optimal Alignment";
	}
	
	public String getReference() {
		return "F Mannhardt et al. Balanced multi-perspective checking of process conformance. Computing. DOI: 10.1007/s00607-015-0441-1";
	}

}