package org.processmining.dataawarecnetminer.extension.conformance;

import org.processmining.dataawarecnetminer.common.MinerContext;
import org.processmining.dataawarecnetminer.exception.MiningException;
import org.processmining.dataawarecnetminer.extension.DefaultHeuristicPlugin;
import org.processmining.dataawarecnetminer.extension.HeuristicPlugin;
import org.processmining.dataawarecnetminer.model.EventRelationStorage;
import org.processmining.dataawarecnetminer.model.FrequencyAwareCausalNet;
import org.processmining.dataawarecnetminer.model.FrequencyAwareDataCausalNet;
import org.processmining.framework.plugin.annotations.KeepInProMCache;

@KeepInProMCache
@HeuristicPlugin
@DefaultHeuristicPlugin
public final class ConformanceExtensionPassthroughImpl extends DefaultConformanceHeuristicExtension {

	private static final class ConformancePassthroughImpl extends DefaultConformanceHeuristic {

		public FrequencyAwareCausalNet computeFrequencies(MinerContext context, FrequencyAwareCausalNet cNet)
				throws MiningException {
			return cNet;
		}

		public FrequencyAwareDataCausalNet computeFrequencies(MinerContext context, FrequencyAwareDataCausalNet dcNet)
				throws MiningException {
			return dcNet;
		}

	}

	@Override
	public ConformanceHeuristic newInstance(EventRelationStorage eventStorage) {
		return new ConformancePassthroughImpl();
	}

	@Override
	public String getName() {
		return "None";
	}

	public String getReference() {
		return "";
	}

}