package org.processmining.dataawarecnetminer.extension.dependencies.causalmatrix;

import org.processmining.causalactivitygraphcreator.creators.impl.GraphZeroCreator;
import org.processmining.causalactivitymatrixminer.miners.MatrixMiner;
import org.processmining.causalactivitymatrixminer.miners.impl.AlphaMatrixMiner;
import org.processmining.dataawarecnetminer.extension.HeuristicPlugin;
import org.processmining.dataawarecnetminer.extension.dependencies.DefaultDependencyHeuristicFactory;
import org.processmining.dataawarecnetminer.extension.dependencies.DependencyHeuristic;
import org.processmining.dataawarecnetminer.model.EventRelationStorage;
import org.processmining.framework.plugin.annotations.KeepInProMCache;

@KeepInProMCache
@HeuristicPlugin
public class DependencyHeuristicExtensionCAGCAlphaMinerImpl extends DefaultDependencyHeuristicFactory {

	public DependencyHeuristic newInstance(EventRelationStorage eventStorage) {
		return new DefaultCausalMatrixDependencyHeuristic(eventStorage) {
			@Override
			protected GraphZeroCreator createGraphCreator() {
				return new GraphZeroCreator();
			}

			@Override
			protected MatrixMiner createMatrixMiner() {
				return new AlphaMatrixMiner();
			}
		};
	}

	public String getName() {
		return "Alpha Miner";
	}

	public String getReference() {
		return "Uses the Alpha Miner dependency value (either 1 or 0)";
	}

}
