package org.processmining.dataawarecnetminer.interactive;

import javax.swing.JComponent;

import org.processmining.contexts.uitopia.annotations.UITopiaVariant;
import org.processmining.contexts.uitopia.annotations.Visualizer;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginLevel;
import org.processmining.framework.plugin.annotations.PluginVariant;

public class InteractiveDataAwareCausalMinerVisualizationPlugin {

	@Plugin(name = "Interactive Data-aware Heuristic Miner", returnLabels = { "iDHM Visualization" }, returnTypes = {
			JComponent.class }, parameterLabels = {
					"Process Tree" }, userAccessible = true, level = PluginLevel.PeerReviewed)
	@Visualizer
	@UITopiaVariant(affiliation = UITopiaVariant.EHV, author = "F. Mannhardt", email = "f.mannhardt@tue.nl")
	@PluginVariant(variantLabel = "Interactive Data-aware Heuristic Miner", requiredParameterLabels = { 0 })
	public JComponent visualize(PluginContext context, InteractiveDataAwareCausalMiner causalMiner) {
		return new InteractiveDataAwareCausalMinerController(context, causalMiner.getEventStorage(),
				causalMiner.getDataStorage());
	}

}