package org.processmining.dataawarecnetminer.model;

import java.util.Map;
import java.util.Set;

import org.deckfour.xes.classification.XEventClass;
import org.processmining.models.causalgraph.Relation;

public final class DataAwareCausalGraphImpl extends DependencyAwareCausalGraphImpl implements DataAwareCausalGraph {

	private final Map<Relation, DataRelation> dataRelations;

	public DataAwareCausalGraphImpl(Set<XEventClass> activities, Map<Relation, DependencyRelation> dependencyRelations,
			Map<Relation, DataRelation> dataRelations) {
		super(activities, dependencyRelations);
		this.dataRelations = dataRelations;
	}

	public DataRelation getDataRelation(Relation relation) {
		return dataRelations.get(relation);
	}

}