package org.processmining.dataawarecnetminer.model;

import java.util.HashMap;
import java.util.Map;

import org.processmining.datadiscovery.estimators.FunctionEstimation;
import org.processmining.models.cnet.CNetBinding;
import org.processmining.models.cnet.CausalNet;
import org.processmining.models.dcnet.DCNet;

public class DiscoveredDCNet extends DCNet implements DiscoveredDataAwareCausalNet {

	public DiscoveredDCNet(CausalNet causalNet) {
		super(causalNet);
	}

	private final Map<CNetBinding, FunctionEstimation> estimations = new HashMap<>();

	public FunctionEstimation getEstimation(CNetBinding binding) {
		return estimations.get(binding);
	}

	public void setEstimation(CNetBinding binding, FunctionEstimation estimation) {
		this.estimations.put(binding, estimation);
	}

}
