package org.processmining.dataawarecnetminer.visualization;

import java.awt.Color;
import java.awt.Component;
import java.awt.Dialog.ModalityType;
import java.awt.Dimension;

import javax.swing.BorderFactory;
import javax.swing.JComponent;
import javax.swing.JDialog;
import javax.swing.JOptionPane;

import org.processmining.framework.util.ui.widgets.ProMScrollPane;

public final class UIUtil {
	
	private static final int DEFAULT_HEIGHT = 800;
	private static final int DEFAULT_WIDTH = 1000;
	
	private UIUtil() {
		super();
	}

	public static void showCustom(Component parentComponent, JComponent component, String dialogTitle,
			ModalityType modalityType) {
		ProMScrollPane scrollPane = new ProMScrollPane(component);
		scrollPane.setBorder(BorderFactory.createLineBorder(Color.BLACK, 2));
		if (component.getPreferredSize().getHeight() > DEFAULT_HEIGHT
				|| component.getPreferredSize().getWidth() > DEFAULT_WIDTH) {
			scrollPane.setPreferredSize(new Dimension(DEFAULT_WIDTH, DEFAULT_HEIGHT));
		}
		scrollPane.setMaximumSize(new Dimension(DEFAULT_WIDTH, DEFAULT_HEIGHT));
		scrollPane.setAlignmentX(JComponent.TOP_ALIGNMENT);
		Object[] options = { "OK" };
		JOptionPane optionPane = new JOptionPane(scrollPane, JOptionPane.PLAIN_MESSAGE, JOptionPane.DEFAULT_OPTION,
				null, options, options[0]);
		JDialog dialog = optionPane.createDialog(parentComponent, dialogTitle);
		dialog.setResizable(true);
		dialog.setDefaultCloseOperation(JDialog.DISPOSE_ON_CLOSE);
		dialog.setModalityType(modalityType);
		dialog.pack();
		dialog.setVisible(true);
	}
	
	public static void showCustomNoHorizontalScoll(Component parentComponent, JComponent component, String dialogTitle,
			ModalityType modalityType) {
		ProMScrollPane scrollPane = new ProMScrollPane(component);
		scrollPane.setBorder(BorderFactory.createLineBorder(Color.BLACK, 2));
		if (component.getPreferredSize().getHeight() > DEFAULT_HEIGHT
				|| component.getPreferredSize().getWidth() > DEFAULT_WIDTH) {
			scrollPane.setPreferredSize(new Dimension(DEFAULT_WIDTH, DEFAULT_HEIGHT));
		}
		scrollPane.setMaximumSize(new Dimension(DEFAULT_WIDTH, DEFAULT_HEIGHT));
		scrollPane.setAlignmentX(JComponent.TOP_ALIGNMENT);
		Object[] options = { "OK" };		
		JOptionPane optionPane = new JOptionPane(scrollPane, JOptionPane.PLAIN_MESSAGE, JOptionPane.DEFAULT_OPTION,
				null, options, options[0]);		
		JDialog dialog = optionPane.createDialog(parentComponent, dialogTitle);
		dialog.setResizable(true);
		dialog.setDefaultCloseOperation(JDialog.DISPOSE_ON_CLOSE);
		dialog.setModalityType(modalityType);
		dialog.pack();
		dialog.setVisible(true);
	}


}
